/**
 * <copyright>
 * </copyright>
 *
 * $Id: UnionValidator.java,v 1.1 2008-04-01 09:35:50 vmahe Exp $
 */
package orgomg.cwm.foundation.datatypes.validation;

import orgomg.cwm.objectmodel.core.StructuralFeature;

/**
 * A sample validator interface for {@link orgomg.cwm.foundation.datatypes.Union}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface UnionValidator {
	boolean validate();

	boolean validateDiscriminator(StructuralFeature value);
}
